package de.intevation.gnv.artifactdatabase.objects;

import java.util.ArrayList;
import java.util.Collection;

/**
 * The default implementation of <code>ArtifactStatisticsSet</code>.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultArtifactStatisticsSet implements ArtifactStatisticsSet{

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 6738878381515708602L;

    private String name = null;

    private Collection<ArtifactStatisticValue> statisticValues =
                                       new ArrayList<ArtifactStatisticValue>();
    /**
     * Constructor
     */
    public DefaultArtifactStatisticsSet(String name) {
        this.name = name;
    }


    public void addStatisticValues(ArtifactStatisticValue value) {
        this.statisticValues.add(value);
    }


    public String getName() {
        return this.name;
    }


    public Collection<ArtifactStatisticValue> getStatisticValues() {
        return this.statisticValues;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :