package de.intevation.gnv.artifactdatabase.objects;

/**
 * The default implementation of <code>OutputParameter</code>.
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultOutputParameter implements OutputParameter {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = -8416057640116638152L;

    private String name = null;

    private String value = null;

    private String description = null;

    private String type = null;

    /**
     * Constructor
     *
     * @param name
     * @param value
     * @param description
     */
    public DefaultOutputParameter(String name, String value,
                                  String description, String type) {
        super();
        this.name = name;
        this.value = value;
        this.description = description;
        this.type = type;
    }

    public String getName() {
        return this.name;
    }

    public String getValue() {
        return this.value;
    }

    public String getDescription() {
        return this.description;
    }

    public String getType() {
        return this.type;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :